# JSONFaction
Date: 2018-12-06

com.massivecraft.factions.zcore.persist.json

## Class JSONFaction

- java.lang.Object
- - com.massivecraft.factions.zcore.persist.MemoryFaction
  - - com.massivecraft.factions.zcore.persist.json.JSONFaction

All Implemented Interfaces:
  Faction, EconomyParticipator, RelationParticipator

    public class JSONFaction
    extends MemoryFaction

### Field Summary

### Fields inherited from class com.massivecraft.factions.zcore.persist.MemoryFaction

`announcements, bans, checkpoint, claimOwnership, defaultRole, description, foundedDate, fplayers, home, id, invites, lastPlayerLoggedOffTime, maxVaults, money, open, paypal, peaceful, peacefulExplosionsEnabled, permanent, permanentPower, permissions, player, powerBoost, relationWish, rules, tag, tnt, upgrades, vault, warpPasswords, warps`

### Constructor Summary

Constructors
Constructor and Description
`JSONFaction()`
`JSONFaction(MemoryFaction arg0)`
`JSONFaction(java.lang.String id)`

### Method Summary

### Methods inherited from class com.massivecraft.factions.zcore.persist.MemoryFaction

`addAnnouncement, addFPlayer, addRule, addTnt, ban, clearAllClaimOwnership, clearClaimOwnership, clearClaimOwnership, clearRules, clearWarps, confirmValidHome, deinvite, describeTo, describeTo, disband, doesLocationHaveOwnersSet, getAccess, getAccess, getAccountId, getAllClaims, getAnnouncements, getBannedPlayers, getBanner, getCheckpoint, getChestInventory, getClaimOwnership, getColorTo, getComparisonTag, getCountOfClaimsWithOwners, getDeaths, getDefaultRole, getDescription, getFocused, getFoundedDate, getFPlayerAdmin, getFPlayers, getFPlayersWhereOnline, getFPlayersWhereOnline, getFPlayersWhereRole, getHome, getId, getInvites, getKills, getLandRounded, getLandRoundedInWorld, getLastDeath, getMaxVaults, getOnlinePlayers, getOpen, getOwnerList, getOwnerListString, getPaypal, getPeacefulExplosionsEnabled, getPermanentPower, getPermissions, getPower, getPowerBoost, getPowerMax, getPowerMaxRounded, getPowerRounded, getRelationCount, getRelationTo, getRelationTo, getRelationWish, getRule, getRulesMap, getSize, getTag, getTag, getTag, getTag, getTnt, getUpgrade, getVault, getWarp, getWarps, hasHome, hasLandInflation, hasPermanentPower, hasPlayersOnline, hasWarpPassword, invite, isBanned, isInvited, isNone, isNormal, isPeaceful, isPermanent, isPlayerFreeType, isPlayerInOwnerList, isPowerFrozen, isSafeZone, isWarp, isWarpPassword, isWarZone, isWilderness, memberLoggedOff, msg, msg, noExplosionsInTerritory, noMonstersInTerritory, noPvPInTerritory, paypalSet, playerHasOwnershipRights, promoteNewLeader, refreshFPlayers, remove, removeAnnouncements, removeFPlayer, removePlayerAsOwner, removeRule, removeWarp, resetPerms, sendMessage, sendMessage, sendUnreadAnnouncements, setBannerPattern, setCheckpoint, setChestSize, setDefaultRole, setDescription, setFocused, setFoundedDate, setHome, setId, setLastDeath, setMaxVaults, setOpen, setPeaceful, setPeacefulExplosionsEnabled, setPermanent, setPermanentPower, setPermission, setPlayerAsOwner, setPowerBoost, setRelationWish, setRule, setTag, setUpgrades, setVault, setWarp, setWarpPassword, takeTnt, unban`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### JSONFaction

    public JSONFaction(MemoryFaction arg0)

#### JSONFaction

    public JSONFaction()

#### JSONFaction

    public JSONFaction(java.lang.String id)